/**
* Filename: MessageBroker.java (in org.openbandy.net)
* This file is part of the BandyBasics project.
*
* www.openbandy.org
*/

package org.openbandy.net;

import org.openbandy.io.Message;




/**
 * TODO describe purpose and usage
 *
 * <br><br>
 * (c) Copyright Philipp Bolliger 2007, ALL RIGHTS RESERVED.
 *
 * @author Philipp Bolliger (philipp@bolliger.name)
 * @version 1.2
 * 
 */
public interface MessageBroker {

    /* statics */
    public static final int DEFAULT_BUFFER_SIZE = 1024 * 4;
    public final static int SMS_PORT = 54530;
    public final static int MMS_PORT = 54531;
    
    public Message sendMessage(String host, ServerProtocol protocol, Message message);
    
    
//    //TODO impl & test
//    public Message sendMessage(String cellPhoneNumber, Message message);
//    
//    //TODO impl & test
//    public Message sendMessage(OutputStream outputStream, Message message);
//    
//    //TODO impl & test
//    public Message sendEmail(String from, String to, String subject, String message);
}
