package org.openbandy.log;

import javax.microedition.lcdui.Display;
import javax.microedition.midlet.MIDlet;
import javax.microedition.midlet.MIDletStateChangeException;

public class LogStorageViewerMIDlet extends MIDlet {

	protected void startApp() throws MIDletStateChangeException {
		
		/* get the display and set the log service as the current screen */
		Display display = Display.getDisplay(this);
		
		/* create a new LogCanvas and set MIDlet and Display */
		LogImpl logCanvas = new LogImpl(LogConfiguration.getPersistentLogViewerConfig(true));
		logCanvas.setMIDlet(this);
		logCanvas.setDisplay(display, null);

		/* set the log canvas as the current screen */
		display.setCurrent(logCanvas);
		
		/* read the log messages from the rms and show them in canvas */
		logCanvas.displayStoredLogMessages();
	}

	protected void pauseApp() {
	}

	protected void destroyApp(boolean arg0) throws MIDletStateChangeException {
	}




}
